local BugEater = BugEater

function BugEater.CreateSettingsMenu(SavedVariables)

	local LAM2 = LibStub("LibAddonMenu-2.0")
		local panelData = {
		  type = "panel",
		  name = "BugEater - Debug",
		  displayName = name,
		  author = "thelegendaryof",
		  version = 1.1
		}
		LAM2:RegisterAddonPanel("BugEater_OptionsPanel", panelData)
		
		local optionsData = {
		{
			type = "checkbox",
			tooltip = "Suppress the native error-dialogue pop-up?",
			name = "Suppress error-dialogue",
			getFunc = function() return SavedVariables.SuppressErrorDialog end,
			setFunc = function() 														-- setFunc
				SavedVariables.SuppressErrorDialog = not SavedVariables.SuppressErrorDialog
				
				if(SavedVariables.SuppressErrorDialog == true) then
					BugEater.DisableErrorDialog()
				else
					BugEater.EnableErrorDialog()
				end
			end
		},
		
		{
			type = "checkbox",
			tooltip = "Show the errors in the chat window instead",
			name = "Show errors in chat",
			getFunc = function() return SavedVariables.ShowErrorsInChat end,
			setFunc = function() 												-- setFunc
				SavedVariables.ShowErrorsInChat = not SavedVariables.ShowErrorsInChat
			end
		},
		
		{
			type = "checkbox",
			tooltip = "Avoid possible endless error-flood. Makes errors unique - if it exists it will skip buffering and output to the chat (Exact Match)",
			name = "Avoid error flood?",
			getFunc = function() return SavedVariables.AvoidErrorFlood end,
			setFunc = function() 												-- setFunc
				SavedVariables.ShowErrorsInChat = not SavedVariables.ShowErrorsInChat
			end
		},
		
		{
			type = "checkbox",
			tooltip = "Show buffered add-on output that got thrown before the chat was fully initialized.",
			name = "Show pre-init add-on output?",
			getFunc = function() return SavedVariables.ShowPreInitAOP end,
			function() 													-- setFunc
				SavedVariables.ShowPreInitAOP = not SavedVariables.ShowPreInitAOP
				ReloadUI();
			end
		},
	
		{
			type = "checkbox",
			tooltip = "Suppress any addon output via d() in the chat.",
			name = "Suppress addon output in chat",
			getFunc = function() return SavedVariables.SuppressAddonOutput end,
			function() 													-- setFunc
				SavedVariables.SuppressAddonOutput = not SavedVariables.SuppressAddonOutput
				ReloadUI();
			end
		},
		{
			type = "checkbox",
			tooltip = "Suppress all Gui warnings including the annoying \"Too Many Anchors processed\" (still shown in /error or /debug).",
			name = "Suppress all Gui warnings",
			getFunc = function() return SavedVariables.SavedVariables end,
			function() 													-- setFunc
				SavedVariables.SavedVariables = not SavedVariables.SavedVariables
			end
		},
		{
			type = "checkbox",
			tooltip = 'Custom Filters for suppressing Addon-Output in the Chat. Anything that is listed here will get hidden (still shown in /debug). Supports LUA-Style Regex Patterns with Partial Matching Enabled (eg. using "Loot" will match "Lootdrop" as well "Dropped Loot 123"). If you want to only match certain strings use the magic characters ^ and $.\n\nPut each Entry in a New Line.',
			name = "Custom Addon-Output Filters",
			getFunc = function() return SavedVariables.AddonOutputFilter end,
			function() 													-- setFunc
				SavedVariables.AddonOutputFilter = _G["BugEater_AddonOutputFilter"]["edit"]:GetText()
			end
		},
		{
			type = "checkbox",
			tooltip = 'Custom Filters for suppressing Errors. Anything that is listed here will get hidden (still shown in /error). Supports LUA-Style Regex Patterns with Partial Matching Enabled. If you want to only match certain strings use the magic characters ^ and $.\n\nPut each Entry in a New Line.',
			name = "Custom Error Filters",
			getFunc = function() return SavedVariables.ErrorFilter end,
			function() 													-- setFunc
				SavedVariables.ErrorFilter = _G["BugEater_ErrorFilter"]["edit"]:GetText()
			end
		},
	
	}

	 LAM2:RegisterOptionControls("BugEater_OptionsPanel", optionsData)
	
end